Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Class PhoneNumber

    java.lang.Object
      com.compoze.collab.groupware.PhoneNumber

public class PhoneNumber
extends java.lang.Object

This class is a wrapper for phone number representations.

Constructor Summary
`PhoneNumber(java.lang.String sPhoneNumber)` Constructor.
`PhoneNumber(java.lang.String sCountryCode, java.lang.String sAreaCode, java.lang.String sNumber, java.lang.String sExtension)` Constructor.

Method Summary
`java.lang.String` | `getAreaCode()` Gets the area code.
`java.lang.String` | `getCountryCode()` Gets the country code.
`java.lang.String` | `getExtension()` Gets the extension.
`java.lang.String` | `getNumber()` Gets the phone number.
`java.lang.String` | `toString()` Gets the string representation of the phone number.
`java.lang.String` | `toStringFormatted(boolean bDots, boolean bAreaCodeParens)` Gets the formatted string of the phone number.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PhoneNumber

    public PhoneNumber(java.lang.String sCountryCode,
                       java.lang.String sAreaCode,
                       java.lang.String sNumber,
                       java.lang.String sExtension)

  Constructor.

Parameters:
  `sCountryCode` - the country code
  `sAreaCode` - the area code
  `sNumber` - the phone number
  `sExtension` - the phone extension

### PhoneNumber

    public PhoneNumber(java.lang.String sPhoneNumber)

  Constructor.

Parameters:
  `sPhoneNumber` - the phone number

Method Detail

### getAreaCode

    public java.lang.String getAreaCode()

  Gets the area code.

  Returns:
    the area code string (may be `null`)

### getCountryCode

    public java.lang.String getCountryCode()

  Gets the country code.

  Returns:
    the country code (may be `null`)

### getNumber

    public java.lang.String getNumber()

  Gets the phone number.

  Returns:
    the number (may be `null`)

### getExtension

    public java.lang.String getExtension()

  Gets the extension.

  Returns:
    the extension (may be `null`)

### toString

    public java.lang.String toString()

  Gets the string representation of the phone number.

  Returns:
    the string representation

### toStringFormatted

    public java.lang.String toStringFormatted(boolean bDots,
                                              boolean bAreaCodeParens)

  Gets the formatted string of the phone number.

  Parameters:
    `bDots` - use dots as the delimeter
    `bAreaCodeParens` - place parentheses around the area code
  Returns:
    the formatted phone number

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.